Extra cost
INFO
Har bir javob umumiy konvertda qaytadi — code, message, messages, status_code, time — foydali yuk esa data ichida. Quyidagi jadvallar faqat data ichini tavsiflaydi.
POST /extra-cost/create
This method allows adding extra-cost into the account.
So‘rov tanasi
| Maydon | Tur | Majburiy | Tavsif |
|---|---|---|---|
name | string | Ha | |
is_affect_price | boolean | Ha | Standart: false |
distribution_method | string | Ha | Mumkin qiymatlar: byPrice, byAmount, byGrossWeight, byVolume, manual. Standart: "byPrice" |
recommended_amount | number | Ha | Standart: 0 |
max_amount | number | Ha | Standart: 0 |
currency_id | string | Ha | |
payment_type_id | string | Ha | |
user_type | string | Yo‘q | Mumkin qiymatlar: supplier, employee, customer, person, other. Standart: "supplier" |
customer_id | string | Yo‘q | |
supplier_id | string | Yo‘q | |
employee_id | string | Yo‘q | |
person_id | string | Yo‘q | |
status | string | Ha | Mumkin qiymatlar: active, inactive. Standart: "active" |
note | string | Yo‘q |
{
"name": "string",
"is_affect_price": false,
"distribution_method": "byPrice",
"recommended_amount": 0,
"max_amount": 0,
"currency_id": "646b0c2f3d4e1a001f8b4567",
"payment_type_id": "646b0c2f3d4e1a001f8b4567",
"user_type": "supplier",
"customer_id": "646b0c2f3d4e1a001f8b4567",
"supplier_id": "646b0c2f3d4e1a001f8b4567",
"employee_id": "646b0c2f3d4e1a001f8b4567",
"person_id": "646b0c2f3d4e1a001f8b4567",
"status": "active",
"note": "string"
}Javob
| Maydon | Tur | Tavsif |
|---|---|---|
name | string | |
is_affect_price | boolean | |
distribution_method | string | |
amount | number | |
should_create_transaction | boolean | |
recommended_amount | number | |
max_amount | number | |
note | string | |
status | string | Mumkin qiymatlar: active, inactive |
payment_type | object | |
payment_type._id | string | |
payment_type.name | string | |
payment_type.user_type | string | |
currency_id | string | |
currency | object | |
currency._id | string | |
currency.name | string | |
updated_by_user | object | |
updated_by_user._id | string | |
updated_by_user.full_name | string | |
created_by_user | object | |
created_by_user._id | string | |
created_by_user.full_name | string | |
employee | object | |
employee._id | string | |
employee.full_name | string | |
customer | object | |
customer._id | string | |
customer.name | string | |
supplier | object | |
supplier._id | string | |
supplier.name | string | |
person | object | |
person._id | string | |
person.name | string |
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": {
"name": "string",
"is_affect_price": false,
"distribution_method": "string",
"amount": 0,
"should_create_transaction": false,
"recommended_amount": 0,
"max_amount": 0,
"note": "string",
"status": "active",
"payment_type": {
"_id": "string",
"name": "string",
"user_type": "string"
},
"currency_id": "string",
"currency": {
"_id": "string",
"name": "string"
},
"updated_by_user": {
"_id": "string",
"full_name": "string"
},
"created_by_user": {
"_id": "string",
"full_name": "string"
},
"employee": {
"_id": "string",
"full_name": "string"
},
"customer": {
"_id": "string",
"name": "string"
},
"supplier": {
"_id": "string",
"name": "string"
},
"person": {
"_id": "string",
"name": "string"
}
},
"time": "2025-05-01T12:00:00Z"
}PUT /extra-cost/update
This method allows updating extra-cost in the account.
So‘rov tanasi
| Maydon | Tur | Majburiy | Tavsif |
|---|---|---|---|
_id | string | Ha | |
name | string | Ha | |
is_affect_price | boolean | Ha | Standart: false |
distribution_method | string | Ha | Mumkin qiymatlar: byPrice, byAmount, byGrossWeight, byVolume, manual. Standart: "byPrice" |
recommended_amount | number | Ha | Standart: 0 |
max_amount | number | Ha | Standart: 0 |
currency_id | string | Ha | |
payment_type_id | string | Ha | |
user_type | string | Yo‘q | Mumkin qiymatlar: supplier, employee, customer, person, other. Standart: "supplier" |
customer_id | string | Yo‘q | |
supplier_id | string | Yo‘q | |
employee_id | string | Yo‘q | |
person_id | string | Yo‘q | |
status | string | Ha | Mumkin qiymatlar: active, inactive. Standart: "active" |
note | string | Yo‘q |
{
"_id": "646b0c2f3d4e1a001f8b4567",
"name": "string",
"is_affect_price": false,
"distribution_method": "byPrice",
"recommended_amount": 0,
"max_amount": 0,
"currency_id": "646b0c2f3d4e1a001f8b4567",
"payment_type_id": "646b0c2f3d4e1a001f8b4567",
"user_type": "supplier",
"customer_id": "646b0c2f3d4e1a001f8b4567",
"supplier_id": "646b0c2f3d4e1a001f8b4567",
"employee_id": "646b0c2f3d4e1a001f8b4567",
"person_id": "646b0c2f3d4e1a001f8b4567",
"status": "active",
"note": "string"
}Javob
Javob tuzilishi quyidagi bilan bir xil: POST /extra-cost/create.
DELETE /extra-cost/delete/{id}
Delete a extra-cost
Yo‘l parametrlari
| Parametr | Tur | Majburiy | Tavsif |
|---|---|---|---|
id | string | Ha |
So‘rov tanasi
So‘rov tanasi talab qilinmaydi.
Javob
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": "ok",
"time": "2025-05-01T12:00:00Z"
}GET /extra-cost/get-all
Get all extra-costs
So‘rov parametrlari
| Parametr | Tur | Majburiy | Tavsif |
|---|---|---|---|
status | string | Yo‘q | Mumkin qiymatlar: active, inactive |
distribution_method_ne | string | Yo‘q | Mumkin qiymatlar: byPrice, byAmount, byGrossWeight, byVolume, manual |
So‘rov tanasi
So‘rov tanasi talab qilinmaydi.
Javob
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": [
{
"name": "string",
"is_affect_price": false,
"distribution_method": "string",
"amount": 0,
"should_create_transaction": false,
"recommended_amount": 0,
"max_amount": 0,
"note": "string",
"status": "active",
"payment_type": {
"_id": "string",
"name": "string",
"user_type": "string"
},
"currency_id": "string",
"currency": {
"_id": "string",
"name": "string"
},
"updated_by_user": {
"_id": "string",
"full_name": "string"
},
"created_by_user": {
"_id": "string",
"full_name": "string"
},
"employee": {
"_id": "string",
"full_name": "string"
},
"customer": {
"_id": "string",
"name": "string"
},
"supplier": {
"_id": "string",
"name": "string"
},
"person": {
"_id": "string",
"name": "string"
}
}
],
"time": "2025-05-01T12:00:00Z"
}GET /extra-cost/get-by-id/{id}
Get extra-cost using its _id
Yo‘l parametrlari
| Parametr | Tur | Majburiy | Tavsif |
|---|---|---|---|
id | string | Ha |
So‘rov tanasi
So‘rov tanasi talab qilinmaydi.
Javob
Javob tuzilishi quyidagi bilan bir xil: POST /extra-cost/create.
GET /extra-cost/get-deleted
Get deleted extra-cost ids
So‘rov parametrlari
| Parametr | Tur | Majburiy | Tavsif |
|---|---|---|---|
deleted_at | string | Ha |
So‘rov tanasi
So‘rov tanasi talab qilinmaydi.
Javob
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": [
"string"
],
"time": "2025-05-01T12:00:00Z"
}POST /extra-cost/get-paging
Get extra-cost by paging
So‘rov tanasi
| Maydon | Tur | Majburiy | Tavsif |
|---|---|---|---|
page | number | Ha | Standart: 1 |
limit | number | Ha | Standart: 20 |
search | string | Yo‘q | |
distribution_method_ne | string | Yo‘q | Mumkin qiymatlar: byPrice, byAmount, byGrossWeight, byVolume, manual. Standart: "byPrice" |
status | string | Yo‘q | Mumkin qiymatlar: active, inactive |
{
"page": 1,
"limit": 20,
"search": "string",
"distribution_method_ne": "byPrice",
"status": "active"
}Javob
| Maydon | Tur | Tavsif |
|---|---|---|
code | number | system code of response. Standart: 0 |
message | string | |
status_code | number | status code of response. Standart: 200 |
messages | object | |
messages.uz | string | |
messages.ru | string | |
messages.en | string | |
time | string (date-time) | time of response |
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": {
"code": 0,
"message": "Success",
"status_code": 200,
"messages": {
"uz": "Muvaffaqiyatli",
"ru": "Успешно",
"en": "Successful"
},
"time": "2025-05-01T12:00:00Z"
},
"time": "2025-05-01T12:00:00Z"
}Bu sahifa OpenAPI spetsifikatsiyasidan yaratilgan.